Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class CacheMarshallersValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginListValue
                  kodo.conf.CacheMarshallersValue

All Implemented Interfaces:
  Cloneable

    public class CacheMarshallersValue

extends PluginListValue

A configuration value for handling and accessing cache marshallers.

Since:
  4.1.3

Field Summary
`static String` | `KEY`

Constructor Summary
`CacheMarshallersValue(OpenJPAConfiguration conf)`

Method Summary
`static CacheMarshaller` | `getMarshallerById(Configuration c, String id)` Return the `CacheMarshaller` to use for caching metadata of id `id`.
`CacheMarshaller` | `getMarshallerById(String id)` Return the `CacheMarshaller` to use for caching metadata of id `id`.

Methods inherited from class org.apache.openjpa.lib.conf.PluginListValue
`getClassNames, getInternalString, getProperties, getString, getValueType, instantiate, objectChanged, setClassNames, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`get, instantiate, newInstance, set, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`alias, alias, clone, equals, getAliases, getDefault, getInstantiatingGetter, getListener, getLoadKey, getProperty, getScope, hashCode, isAliasListComprehensive, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setInstantiatingGetter, setListener, setLoadKey, setObject, setProperty, setScope, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### CacheMarshallersValue

    public CacheMarshallersValue(OpenJPAConfiguration conf)

Method Detail

### getMarshallerById

    public CacheMarshaller getMarshallerById(String id)

  Return the `CacheMarshaller` to use for caching metadata of id `id`. If no marshaller exists for the id, returns `NoOpCacheMarshaller`.

### getMarshallerById

    public static CacheMarshaller getMarshallerById(Configuration c,
                                                    String id)

  Return the `CacheMarshaller` to use for caching metadata of id `id`. If no marshaller exists for the id, returns `NoOpCacheMarshaller`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.